vue路由懒加载报错

jack
  • 15

vue创建项目选的是babel,eslint,prettier。在路由文件里动态加载组件时import报错,按照官方提示 “如果您使用的是 Babel,你将需要添加 syntax-dynamic-import 插件,才能使 Babel 可以正确地解析语法。”,用了插件后还是出错,求大佬帮看下什么问题。以下是一些配置图:360截图20191110025409237.jpg360截图20191110025349473.jpg360截图20191110025401045.jpg360截图20191110025436707.jpg

回复
阅读 1.7k
2 个回答
✓ 已被采纳

我重新用脚手架开了个工程,就用vue默认的配置,也不用安装动态加载的插件,然后把配置文件复制过来就正常了。

这不是代码问题,是编译器给的错误提示,eslint插件给的提示,看你用的像是vscode,你可以去插件商城里把这个插件关了,重启下试试。或者换个插件

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
你知道吗?

宣传栏